Bug 1170948 - Review Request: php-sebastian-global-state - Snapshotting of global state
Review Request: php-sebastian-global-state - Snapshotting of global state
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Williamson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-05 03:12 EST by Remi Collet
Modified: 2015-05-04 15:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-sebastian-global-state-1.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-20 03:33:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
adamw+fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2014-12-05 03:12:08 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/552c6edeca59e7570eb4a2db1c1c1bdd847f986c/php/phpunit/php-sebastian-global-state/php-sebastian-global-state.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-sebastian-global-state-1.0.0-1.remi.src.rpm
Description: 
Snapshotting of global state,
factored out of PHPUnit into a stand-alone component.
Fedora Account System Username: remi

Notice: new dependency of PHPUnit 4.4
As usually, I will clean old EL-5 stuff after import.
Comment 1 Adam Williamson (Fedora) 2014-12-06 14:32:37 EST
Taking.

Builds fine both with bootstrap = 0 and bootstrap = 1, and in Koji against Rawhide. Looks to be PSR-0 compliant relative to /usr/share/php .

rpmlint:

[adamw@adam SPECS]$ rpmlint php-sebastian-global-state.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[adamw@adam SPECS]$ rpmlint ../SRPMS/php-sebastian-global-state-1.0.0-1.fc21.src.rpm 
php-sebastian-global-state.src: W: spelling-error Summary(en_US) Snapshotting -> Snaps hotting, Snaps-hotting, Snapshot ting
php-sebastian-global-state.src: W: spelling-error %description -l en_US Snapshotting -> Snaps hotting, Snaps-hotting, Snapshot ting
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
[adamw@adam SPECS]$ rpmlint ../RPMS/noarch/php-sebastian-global-state-1.0.0-1.fc21.noarch.rpm 
php-sebastian-global-state.noarch: W: spelling-error Summary(en_US) Snapshotting -> Snaps hotting, Snaps-hotting, Snapshot ting
php-sebastian-global-state.noarch: W: spelling-error %description -l en_US Snapshotting -> Snaps hotting, Snaps-hotting, Snapshot ting
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

oh, rpmlint and your hilarious spelling 'errors'.

Packaging guidelines MUST and SHOULD items: all are correct or N/A.

Package is approved.
Comment 2 Remi Collet 2014-12-07 01:10:41 EST
Thanks for the review.

New Package SCM Request
=======================
Package Name: php-sebastian-global-state
Short Description: Snapshotting of global state
Upstream URL: https://github.com/sebastianbergmann/global-state
Owners: remi
Branches: f20 f21 el6 epel7
InitialCC:
Comment 3 Gwyn Ciesla 2014-12-08 09:16:21 EST
Git done (by process-git-requests).
Comment 4 Fedora Update System 2014-12-08 12:12:10 EST
php-sebastian-global-state-1.0.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-sebastian-global-state-1.0.0-1.el7
Comment 5 Fedora Update System 2014-12-08 12:12:18 EST
php-sebastian-global-state-1.0.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-sebastian-global-state-1.0.0-1.el6
Comment 6 Fedora Update System 2014-12-08 12:12:24 EST
php-sebastian-global-state-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-sebastian-global-state-1.0.0-1.fc20
Comment 7 Fedora Update System 2014-12-08 12:12:32 EST
php-sebastian-global-state-1.0.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-sebastian-global-state-1.0.0-1.fc21
Comment 8 Fedora Update System 2014-12-11 01:26:17 EST
php-sebastian-global-state-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 9 Fedora Update System 2014-12-20 03:33:32 EST
php-sebastian-global-state-1.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 10 Fedora Update System 2014-12-20 03:50:55 EST
php-sebastian-global-state-1.0.0-1.fc21 has been pushed to the Fedora 21 stable repository.
Comment 11 Fedora Update System 2014-12-26 14:50:58 EST
php-sebastian-global-state-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.
Comment 12 Fedora Update System 2014-12-26 14:51:56 EST
php-sebastian-global-state-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.